什么时候应该使用VS2015平台工具集V140_XP?

我想从VS2010切换到VS2015,但关于V140_XP的文档不是很清楚。 我有两个问题:

  1. 我使用静态库(/ MT)。 所以我不需要vcruntime140.dll或任何其他以前的运行时库。 我是否应该将平台工具集设置为V140_XP以在Windows XP中运行我的应用程序?

  2. 如果我没有将平台工具集设置为XP,我的应用程序将在Windows 7和更高版本上运行吗?

Solutions Collecting From Web of "什么时候应该使用VS2015平台工具集V140_XP?"

你只需要v140_XP工具集,如果你的目标是Windows XP机器(在新的应用程序中,你不应该这样做)。

所有更高版本的Windows(Vista和更高版本)都支持v140工具集,但使用v140工具集构建的应用程序将不能在XP下运行。